Package twisted :: Package trial :: Module reporter

[show private | hide private]
[frames | no frames]

## Module twisted.trial.reporter

Classes
`MinimalReporter` |
`Reporter` | I report results from a run of a test suite.
`TextReporter` |
`TreeReporter` |
`VerboseTextReporter` |

Variable Summary
`str` | `ERROR`
`str` | `EXPECTED_FAILURE`
`str` | `FAILURE`
`int` | `False`
`str` | `SKIP`
`str` | `SUCCESS`
`int` | `True`
`str` | `UNEXPECTED_SUCCESS`

Variable Details

### ERROR

  Type:
    `str`
  Value:

        'error'

### EXPECTED_FAILURE

  Type:
    `str`
  Value:

        'expected failure'

### FAILURE

  Type:
    `str`
  Value:

        'failure'

### False

  Type:
    `int`
  Value:

        0

### SKIP

  Type:
    `str`
  Value:

        'skip'

### SUCCESS

  Type:
    `str`
  Value:

        'success'

### True

  Type:
    `int`
  Value:

        1

### UNEXPECTED_SUCCESS

  Type:
    `str`
  Value:

        'unexpected success'

Generated by Epydoc 1.1 on Thu May 8 13:19:05 2003 | http://epydoc.sf.net